> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Customer

> Create a new customer record with name, email, and phone



## OpenAPI

````yaml post /v1/customers
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/customers:
    post:
      summary: Create a customer
      description: >-
        This endpoint allows you to create a customer. The customer will be
        created with the provided details and will be returned in the response.
      operationId: create-customer
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - email
                - phone_number
              properties:
                name:
                  type: string
                  examples:
                    - John Doe
                  description: The name of the customer
                email:
                  type: string
                  description: The email of the customer
                  format: email
                phone_number:
                  type: string
                  description: The phone number of the customer
                phone_number_country_code:
                  type: string
                  description: The country code of the phone number
                remark:
                  type: string
                  description: The remark of the customer
                  maxLength: 255
                birth_date:
                  type: string
                  format: date
                  description: The birth date of the customer
                gender:
                  type: string
                  description: The gender of the customer
                address:
                  type: object
                  properties:
                    city:
                      type: string
                    state:
                      type: string
                    street:
                      type: string
                    postal_code:
                      type: string
                    country:
                      type: string
                  required:
                    - city
                    - state
                    - street
                    - postal_code
      responses:
        '201':
          description: '201'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 9b2ada28-be3c-47ab-883f-ba72e5d8305d
                    name: John Doe
                    birth_date: <string>
                    email: <string>
                    phone_number: <string>
                    address:
                      city: <string>
                      state: <string>
                      street: <string>
                      postal_code: <string>
                      country: <string>
                    gender: <string>
                    remark: <string>
                    phone_number_country_code: <string>
                    created_at: '2024-01-24T16:05:10+08:00'
                    updated_at: '2024-01-24T16:05:10+08:00'
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  birth_date:
                    type: string
                  email:
                    type: string
                  phone_number:
                    type: string
                  address:
                    type: object
                    properties:
                      city:
                        type: string
                      state:
                        type: string
                      street:
                        type: string
                      postal_code:
                        type: string
                      country:
                        type: string
                    required:
                      - city
                      - state
                      - street
                      - postal_code
                  gender:
                    type: string
                  remark:
                    type: string
                  phone_number_country_code:
                    type: string
                  created_at:
                    type: string
                  updated_at:
                    type: string
                required:
                  - id
                  - name
                  - birth_date
                  - email
                  - phone_number
                  - address
                  - gender
                  - remark
                  - phone_number_country_code
                  - created_at
                  - updated_at
      deprecated: false

````